"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
const reactNumberFormat_es = require("../../../../../../../react-number-format@5.4.2_react-dom@18.3.1_react@18.3.1__react@18.3.1/node_modules/react-number-format/dist/react-number-format.es.cjs");
require("react");
require("clsx");
const useProps = require("../../core/MantineProvider/use-props/use-props.cjs");
const defaultProps = {};
function NumberFormatter(_props) {
  const props = useProps.useProps("NumberFormatter", defaultProps, _props);
  const { value, defaultValue, ...others } = props;
  if (value === void 0) {
    return null;
  }
  return /* @__PURE__ */ jsxRuntime.jsx(reactNumberFormat_es.NumericFormat, { displayType: "text", value, ...others });
}
const extendNumberFormatter = (c) => c;
NumberFormatter.extend = extendNumberFormatter;
NumberFormatter.displayName = "@mantine/core/NumberFormatter";
exports.NumberFormatter = NumberFormatter;
